Name:		perl-Date-Range
Version:	1.41
Release:	6%{?dist}
License:	GPLv2+
Summary:	Work with a range of dates
URL:		https://metacpan.org/release/Date-Range
Source0:	https://cpan.metacpan.org/modules/by-module/Date/Date-Range-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Date::Simple) >= 0.03
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.04
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Dependencies
Requires:	perl(Date::Simple) >= 0.03

%description
Quite often, when dealing with dates, we don't just want to know information
about one particular date, but about a range of dates. For example, we may
wish to know whether a given date is in a particular range, or what the overlap
is between one range and another. This module lets you ask such questions.

%prep
%setup -q -n Date-Range-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Date/
%{_mandir}/man3/Date::Range.3*

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.41-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.41-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Jitka Plesnikova <jplesnik@redhat.com> - 1.41-4
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug  6 2021 Paul Howarth <paul@city-fan.org> - 1.41-2
- Make Date::Simple a run-time dependency, not just a test dependency (#1977229)

* Mon Jun 28 2021 Paul Howarth <paul@city-fan.org> - 1.41-1
- Initial RPM version
